Хакер axi0mX выложил в открытый доступ эксплойт checkm8, который может взломать iOS-устройства. Разработчик опубликовал видео с данным рабочим эксплойтом.

Какие устройства можно взломать

Разработчик Axi0mX опубликовал видео с рабочим эксплойтом checkm8. Он позволяет взломать и установить джейлбрейк на всех устройствах с чипами Apple A5 – Apple A11.

iPhone

Начиная с iPhone 4S, заканчивая iPhone X

iPod Touch

Начиная с iPod Touch 5 — го поколения, заканчивая iPod Touch 7 — го поколения

iPad

Начиная с iPad Mini 1 и iPad 2, заканчивая iPad Pro 12,9 дюймов 2 — го поколения и iPad Pro 10,5 дюймов.

Какая нужна iOS

Работает экплойт в демонстрационном видео на iOS 13.1.1, но взломать можно устройство на любой OS.

При помощи Checkm8 можно установить непривязанный джейлбрейк и откатиться на предыдущую версию iOS. Но разработчикам понадобится время, чтобы создать соответствующие инструменты.

Уязвимость не закрыть

Уязвимость останется и на всех следующих версиях операционной системы. Checkm8 использует загрузчик Bootrom, поэтому Apple не сможет устранить уязвимость, выпустив новую версию iOS.

В последний раз аналогичную уязвимость находили в 2010 году.

Взломанный iPhone 4
Взломанный iPhone 4

Добавить комментарий

Ваш e-mail не будет опубликован.

 необходимо принять правила конфиденциальности